summaryrefslogtreecommitdiffstats
path: root/network/pexip-infinity-connect
diff options
context:
space:
mode:
Diffstat (limited to 'network/pexip-infinity-connect')
-rw-r--r--network/pexip-infinity-connect/README5
-rw-r--r--network/pexip-infinity-connect/doinst.sh3
-rw-r--r--network/pexip-infinity-connect/pexip-infinity-connect.SlackBuild76
-rw-r--r--network/pexip-infinity-connect/pexip-infinity-connect.desktop11
-rw-r--r--network/pexip-infinity-connect/pexip-infinity-connect.info10
-rw-r--r--network/pexip-infinity-connect/slack-desc19
6 files changed, 124 insertions, 0 deletions
diff --git a/network/pexip-infinity-connect/README b/network/pexip-infinity-connect/README
new file mode 100644
index 0000000000..55b5c40785
--- /dev/null
+++ b/network/pexip-infinity-connect/README
@@ -0,0 +1,5 @@
+pexip-infinity-connect (Video Communication Software)
+
+Pexip simplifies video communication across borders, businesses and
+platforms. It empowers your organization with face-to-face
+collaboration, no matter the location or technology.
diff --git a/network/pexip-infinity-connect/doinst.sh b/network/pexip-infinity-connect/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/network/pexip-infinity-connect/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/network/pexip-infinity-connect/pexip-infinity-connect.SlackBuild b/network/pexip-infinity-connect/pexip-infinity-connect.SlackBuild
new file mode 100644
index 0000000000..1330433283
--- /dev/null
+++ b/network/pexip-infinity-connect/pexip-infinity-connect.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for pexip-infinity-connect
+
+# Copyright 2020 Igor Alexandrov <igora.vault@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=pexip-infinity-connect
+SRCNAM=$(tar -tf $PRGNAM*.t?z | head -1)
+VERSION=${VERSION:-$(echo $SRCNAM | cut -d '_' -f 2 | tr '-' '.')}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$(uname -m) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" != "x86_64" ]; then
+ echo "$ARCH is not supported for $PRGNAM-$VERSION"
+ exit 1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $OUTPUT $PKG/{install,usr/{bin,lib64,share/applications,doc/$PRGNAM-$VERSION}}
+cd $PKG
+tar -xvf $CWD/$PRGNAM*.t?z
+mv $SRCNAM usr/lib64/$PRGNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+find . -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+ln -s ../lib64/$PRGNAM/$PRGNAM usr/bin
+install -m644 $CWD/$PRGNAM.desktop usr/share/applications
+
+ln -s ../../lib64/$PRGNAM/LICENSE usr/doc/$PRGNAM-$VERSION
+ln -s ../../lib64/$PRGNAM/LICENSES.chromium.html usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+/sbin/makepkg -p -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/pexip-infinity-connect/pexip-infinity-connect.desktop b/network/pexip-infinity-connect/pexip-infinity-connect.desktop
new file mode 100644
index 0000000000..fb38198b14
--- /dev/null
+++ b/network/pexip-infinity-connect/pexip-infinity-connect.desktop
@@ -0,0 +1,11 @@
+#!/usr/bin/env xdg-open
+[Desktop Entry]
+Name=Pexip Infinity Connect
+Exec=/usr/lib64/pexip-infinity-connect/pexip-infinity-connect %u
+Terminal=false
+Type=Application
+Icon=/usr/lib64/pexip-infinity-connect/resources/vendor/snoreToast/app-notifier.png
+Categories=Network;Communication;Video
+StartupNotify=true
+StartupWMClass=pexip infinity connect
+MimeType=x-scheme-handler/pexip-provision;x-scheme-handler/pexip-auth;x-scheme-handler/pexip
diff --git a/network/pexip-infinity-connect/pexip-infinity-connect.info b/network/pexip-infinity-connect/pexip-infinity-connect.info
new file mode 100644
index 0000000000..5f8a0ee5ea
--- /dev/null
+++ b/network/pexip-infinity-connect/pexip-infinity-connect.info
@@ -0,0 +1,10 @@
+PRGNAM="pexip-infinity-connect"
+VERSION="1.5.1.50296.45.32"
+HOMEPAGE="https://www.pexip.com"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="http://dl.pexip.com/connect/nextgen/1.5.1/pexip-infinity-connect_1.5.1-50296.45.32_linux-x64.tgz"
+MD5SUM_x86_64="52573149eaa42e02d84bc79fb44474ae"
+REQUIRES=""
+MAINTAINER="Igor Alexandrov"
+EMAIL="igora.vault@gmail.com"
diff --git a/network/pexip-infinity-connect/slack-desc b/network/pexip-infinity-connect/slack-desc
new file mode 100644
index 0000000000..bd32577094
--- /dev/null
+++ b/network/pexip-infinity-connect/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+pexip-infinity-connect: pexip-infinity-connect (Video Communication Software)
+pexip-infinity-connect:
+pexip-infinity-connect: Pexip simplifies video communication across borders, businesses and
+pexip-infinity-connect: platforms. It empowers your organization with face-to-face
+pexip-infinity-connect: collaboration, no matter the location or technology.
+pexip-infinity-connect:
+pexip-infinity-connect: For more details:
+pexip-infinity-connect: https://www.pexip.com/
+pexip-infinity-connect:
+pexip-infinity-connect:
+pexip-infinity-connect: